summaryrefslogtreecommitdiff
path: root/git-rebase.sh
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2006-06-28 03:24:23 -0700
committerJunio C Hamano <junkio@cox.net>2006-06-28 03:54:31 -0700
commitf0ef05967f3b261fb16f5fdea6dd104c9bdb4c8c (patch)
treedcf737224f8f11991e8dd0b75170dde06188e4e7 /git-rebase.sh
parentc5f448b0f2dcba3b14cd8fcae7414def4d3f4e45 (diff)
downloadgit-f0ef05967f3b261fb16f5fdea6dd104c9bdb4c8c.tar.gz
rebase: check for errors from git-commit
commit does not always succeed, so we'll have to check for it in the absence of set -e. This fixes a regression introduced in 9e4bc7dd1bb9d92491c475cec55147fa0b3f954d Signed-off-by: Eric Wong <normalperson@yhbt.net> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-rebase.sh')
-rwxr-xr-xgit-rebase.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/git-rebase.sh b/git-rebase.sh
index fd0e7c498d..3945e06714 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -54,8 +54,13 @@ continue_merge () {
if test -n "`git-diff-index HEAD`"
then
+ if ! git-commit -C "`cat $dotest/current`"
+ then
+ echo "Commit failed, please do not call \"git commit\""
+ echo "directly, but instead do one of the following: "
+ die "$RESOLVEMSG"
+ fi
printf "Committed: %0${prec}d" $msgnum
- git-commit -C "`cat $dotest/current`"
else
printf "Already applied: %0${prec}d" $msgnum
fi